com.amazonaws.services.cloudfront.model

## Class CreateStreamingDistributionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.cloudfront.model.CreateStreamingDistributionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateStreamingDistributionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The returned result of the corresponding request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateStreamingDistributionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateStreamingDistributionResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getETag()` The current version of the streaming distribution created.
`String` `getLocation()` The fully qualified URI of the new streaming distribution resource just created.
`StreamingDistribution` `getStreamingDistribution()` The streaming distribution's information.
`int` `hashCode()`
`void` `setETag(String eTag)` The current version of the streaming distribution created.
`void` `setLocation(String location)` The fully qualified URI of the new streaming distribution resource just created.
`void` `setStreamingDistribution(StreamingDistribution streamingDistribution)` The streaming distribution's information.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateStreamingDistributionResult` `withETag(String eTag)` The current version of the streaming distribution created.
`CreateStreamingDistributionResult` `withLocation(String location)` The fully qualified URI of the new streaming distribution resource just created.
`CreateStreamingDistributionResult` `withStreamingDistribution(StreamingDistribution streamingDistribution)` The streaming distribution's information.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateStreamingDistributionResult

    public CreateStreamingDistributionResult()

### Method Detail

#### setStreamingDistribution

    public void setStreamingDistribution(StreamingDistribution streamingDistribution)

The streaming distribution's information.

Parameters:
  `streamingDistribution` - The streaming distribution's information.

#### getStreamingDistribution

    public StreamingDistribution getStreamingDistribution()

The streaming distribution's information.

Returns:
  The streaming distribution's information.

#### withStreamingDistribution

    public CreateStreamingDistributionResult withStreamingDistribution(StreamingDistribution streamingDistribution)

The streaming distribution's information.

Parameters:
  `streamingDistribution` - The streaming distribution's information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLocation

    public void setLocation(String location)

The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.

Parameters:
  `location` - The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.

#### getLocation

    public String getLocation()

The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.

Returns:
  The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.

#### withLocation

    public CreateStreamingDistributionResult withLocation(String location)

The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.

Parameters:
  `location` - The fully qualified URI of the new streaming distribution resource just created. For example: `https://cloudfront.amazonaws.com/2010-11-01/streaming-distribution/EGTXBD79H29TRA8`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setETag

    public void setETag(String eTag)

The current version of the streaming distribution created.

Parameters:
  `eTag` - The current version of the streaming distribution created.

#### getETag

    public String getETag()

The current version of the streaming distribution created.

Returns:
  The current version of the streaming distribution created.

#### withETag

    public CreateStreamingDistributionResult withETag(String eTag)

The current version of the streaming distribution created.

Parameters:
  `eTag` - The current version of the streaming distribution created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateStreamingDistributionResult clone()

Overrides:
  `clone` in class `Object`